net.minecraftforge.event.entity.living

## Class LivingEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent

- Direct Known Subclasses:
    EnderTeleportEvent, LivingAttackEvent, LivingDeathEvent, LivingDropsEvent, LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent, LivingFallEvent, LivingHurtEvent, LivingPackSizeEvent, LivingSetAttackTargetEvent, LivingSpawnEvent, PlayerEvent

      public class LivingEvent
      extends EntityEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LivingEvent.LivingJumpEvent`
    `static class` | `LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EntityLivingBase` | `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LivingEvent(EntityLivingBase entity)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityLiving

          public final EntityLivingBase entityLiving

  - ### Constructor Detail

    - #### LivingEvent

          public LivingEvent(EntityLivingBase entity)